from flask import render_template, flash
from app import app
from energenie import switch_on, switch_off

@app.route('/')
def index():
    return render_template('index.html', title='Christmas')

@app.route('/on')
def on():
    switch_on(1)
    flash('Christmas tree lights on.')
    return render_template('index.html', title='Christmas - Lights On')

@app.route('/blue')
def off():
    switch_off(1)
    flash('Christmas tree lights off.')
    return render_template('index.html', title='Christmas - Lights Off')